diff --git a/lib/app/widgets/app_drawer.dart b/lib/app/widgets/app_drawer.dart
index b9b5487..2b1c2f5 100644
--- a/lib/app/widgets/app_drawer.dart
+++ b/lib/app/widgets/app_drawer.dart
@@ -38,14 +38,20 @@ class AppDrawer extends StatelessWidget {
               children: [
                 CircleAvatar(
                   radius: 30,
-                  backgroundColor: Colors.white,
-                  backgroundImage:
-                      avatar != null ? NetworkImage(avatar!) : null,
-                  child: avatar == null
-                      ? const Icon(
-                          Icons.person,
-                          size: 40,
-                          color: AppTheme.primaryColor,
+                  backgroundColor: AppTheme.primaryColor.withOpacity(0.2),
+                  backgroundImage: avatar != null && avatar!.isNotEmpty
+                      ? NetworkImage(avatar!)
+                      : null,
+                  child: (avatar == null || avatar!.isEmpty)
+                      ? Text(
+                          nama.isNotEmpty
+                              ? nama.substring(0, 1).toUpperCase()
+                              : '?',
+                          style: const TextStyle(
+                            fontWeight: FontWeight.bold,
+                            color: AppTheme.primaryColor,
+                            fontSize: 24,
+                          ),
                         )
                       : null,
                 ),
diff --git a/lib/app/widgets/bantuan_card.dart b/lib/app/widgets/bantuan_card.dart
index 5f20ee1..f20457c 100644
--- a/lib/app/widgets/bantuan_card.dart
+++ b/lib/app/widgets/bantuan_card.dart
@@ -1,6 +1,6 @@
 import 'package:flutter/material.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/data/models/penerima_penyaluran_model.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/status_badge.dart';
 
 class BantuanCard extends StatelessWidget {
@@ -17,17 +17,11 @@ class BantuanCard extends StatelessWidget {
 
   @override
   Widget build(BuildContext context) {
-    final currencyFormat = NumberFormat.currency(
-      locale: 'id',
-      symbol: 'Rp ',
-      decimalDigits: 0,
-    );
-
     // Format jumlah bantuan berdasarkan tipe (uang atau bukan)
     String formattedJumlah = '';
     if (item.jumlahBantuan != null) {
       if (item.isUang == true) {
-        formattedJumlah = currencyFormat.format(item.jumlahBantuan);
+        formattedJumlah = FormatHelper.formatRupiah(item.jumlahBantuan);
       } else {
         formattedJumlah = '${item.jumlahBantuan} ${item.satuan ?? ''}';
       }
@@ -120,8 +114,8 @@ class BantuanCard extends StatelessWidget {
                             Flexible(
                               child: Text(
                                 item.tanggalPenerimaan != null
-                                    ? DateFormat('dd MMMM yyyy', 'id_ID')
-                                        .format(item.tanggalPenerimaan!)
+                                    ? FormatHelper.formatDateTime(
+                                        item.tanggalPenerimaan!)
                                     : '-',
                                 style: TextStyle(
                                   color: Colors.grey.shade600,
@@ -373,8 +367,8 @@ class BantuanCard extends StatelessWidget {
                             Icons.calendar_today,
                             'Tanggal:',
                             item.tanggalPenerimaan != null
-                                ? DateFormat('dd MMMM yyyy', 'id_ID')
-                                    .format(item.tanggalPenerimaan!)
+                                ? FormatHelper.formatDateTime(
+                                    item.tanggalPenerimaan!)
                                 : '-',
                           ),
                           const Divider(height: 16),
diff --git a/lib/app/widgets/dialogs/detail_penitipan_dialog.dart b/lib/app/widgets/dialogs/detail_penitipan_dialog.dart
index 9b0595b..ad6d051 100644
--- a/lib/app/widgets/dialogs/detail_penitipan_dialog.dart
+++ b/lib/app/widgets/dialogs/detail_penitipan_dialog.dart
@@ -3,6 +3,7 @@ import 'package:get/get.dart';
 import 'package:penyaluran_app/app/data/models/penitipan_bantuan_model.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/theme/app_colors.dart';
+import 'package:penyaluran_app/app/widgets/dialogs/show_image_dialog.dart';
 
 /// Dialog untuk menampilkan detail penitipan bantuan
 ///
@@ -48,7 +49,7 @@ class DetailPenitipanDialog {
               ),
               _buildInfoRow(
                 'Tanggal Penitipan',
-                DateTimeHelper.formatDateTime(
+                FormatHelper.formatDateTime(
                     item.tanggalPenitipan ?? item.createdAt),
               ),
               _buildInfoRow(
@@ -63,7 +64,7 @@ class DetailPenitipanDialog {
               if (item.tanggalVerifikasi != null)
                 _buildInfoRow(
                   'Tanggal Verifikasi',
-                  DateTimeHelper.formatDateTime(item.tanggalVerifikasi),
+                  FormatHelper.formatDateTime(item.tanggalVerifikasi),
                 ),
               if (item.deskripsi != null && item.deskripsi!.isNotEmpty)
                 _buildInfoRow('Deskripsi', item.deskripsi!),
@@ -143,50 +144,7 @@ class DetailPenitipanDialog {
 
   /// Menampilkan gambar dalam layar penuh
   static void showFullScreenImage(BuildContext context, String imageUrl) {
-    Navigator.of(context).push(
-      MaterialPageRoute(
-        builder: (context) => Scaffold(
-          appBar: AppBar(
-            backgroundColor: Colors.black,
-            iconTheme: const IconThemeData(color: Colors.white),
-          ),
-          body: Container(
-            color: Colors.black,
-            child: Center(
-              child: InteractiveViewer(
-                panEnabled: true,
-                boundaryMargin: const EdgeInsets.all(20),
-                minScale: 0.5,
-                maxScale: 4,
-                child: Image.network(
-                  imageUrl,
-                  fit: BoxFit.contain,
-                  loadingBuilder: (context, child, loadingProgress) {
-                    if (loadingProgress == null) return child;
-                    return Center(
-                      child: CircularProgressIndicator(
-                        value: loadingProgress.expectedTotalBytes != null
-                            ? loadingProgress.cumulativeBytesLoaded /
-                                loadingProgress.expectedTotalBytes!
-                            : null,
-                      ),
-                    );
-                  },
-                  errorBuilder: (context, error, stackTrace) {
-                    return const Center(
-                      child: Text(
-                        'Gagal memuat gambar',
-                        style: TextStyle(color: Colors.white),
-                      ),
-                    );
-                  },
-                ),
-              ),
-            ),
-          ),
-        ),
-      ),
-    );
+    ShowImageDialog.showFullScreen(context, imageUrl);
   }
 
   /// Membangun baris informasi
diff --git a/lib/app/widgets/dialogs/show_image_dialog.dart b/lib/app/widgets/dialogs/show_image_dialog.dart
new file mode 100644
index 0000000..7b1fd13
--- /dev/null
+++ b/lib/app/widgets/dialogs/show_image_dialog.dart
@@ -0,0 +1,254 @@
+import 'package:flutter/material.dart';
+import 'package:cached_network_image/cached_network_image.dart';
+import 'package:penyaluran_app/app/theme/app_theme.dart';
+import 'dart:io';
+import 'package:path_provider/path_provider.dart';
+import 'package:http/http.dart' as http;
+import 'package:share_plus/share_plus.dart';
+
+/// Dialog untuk menampilkan gambar dalam ukuran besar
+///
+/// Komponen ini dapat digunakan untuk menampilkan gambar dari URL
+/// dengan kemampuan zoom dan pan pada gambar.
+class ShowImageDialog {
+  /// Menampilkan dialog gambar
+  ///
+  /// [context] adalah BuildContext untuk menampilkan dialog
+  /// [imageUrl] adalah URL gambar yang akan ditampilkan
+  /// [title] adalah judul dari dialog, default 'Bukti Foto'
+  static void show(
+    BuildContext context,
+    String imageUrl, {
+    String title = 'Bukti Foto',
+  }) {
+    showDialog(
+      context: context,
+      builder: (BuildContext context) {
+        return Dialog(
+          insetPadding: const EdgeInsets.all(16),
+          shape: RoundedRectangleBorder(
+            borderRadius: BorderRadius.circular(16),
+          ),
+          child: Column(
+            mainAxisSize: MainAxisSize.min,
+            children: [
+              AppBar(
+                leading: IconButton(
+                  icon: const Icon(
+                    Icons.close,
+                    color: Colors.white,
+                  ),
+                  onPressed: () => Navigator.of(context).pop(),
+                ),
+                title: Text(
+                  title,
+                  style: const TextStyle(
+                    color: Colors.white,
+                    fontWeight: FontWeight.bold,
+                  ),
+                ),
+                actions: [
+                  IconButton(
+                    icon: const Icon(
+                      Icons.download,
+                      color: Colors.white,
+                    ),
+                    onPressed: () => _downloadImage(context, imageUrl),
+                    tooltip: 'Unduh Gambar',
+                  ),
+                ],
+                elevation: 0,
+                backgroundColor: AppTheme.primaryColor,
+                shape: const RoundedRectangleBorder(
+                  borderRadius: BorderRadius.only(
+                    topLeft: Radius.circular(16),
+                    topRight: Radius.circular(16),
+                  ),
+                ),
+              ),
+              SizedBox(
+                height: MediaQuery.of(context).size.height * 0.5,
+                child: InteractiveViewer(
+                  panEnabled: true,
+                  boundaryMargin: const EdgeInsets.all(16),
+                  minScale: 0.5,
+                  maxScale: 4,
+                  child: CachedNetworkImage(
+                    imageUrl: imageUrl,
+                    placeholder: (context, url) => const Center(
+                      child: CircularProgressIndicator(),
+                    ),
+                    errorWidget: (context, url, error) => Column(
+                      mainAxisAlignment: MainAxisAlignment.center,
+                      children: [
+                        const Icon(Icons.error, color: Colors.red, size: 48),
+                        const SizedBox(height: 16),
+                        Padding(
+                          padding: const EdgeInsets.all(16.0),
+                          child: Text(
+                            'Gagal memuat gambar: $error',
+                            textAlign: TextAlign.center,
+                            style: const TextStyle(color: Colors.red),
+                          ),
+                        ),
+                      ],
+                    ),
+                    fit: BoxFit.contain,
+                  ),
+                ),
+              ),
+              Padding(
+                padding: const EdgeInsets.all(16.0),
+                child: Row(
+                  mainAxisAlignment: MainAxisAlignment.center,
+                  children: [
+                    const Icon(Icons.zoom_in, size: 20, color: Colors.grey),
+                    const SizedBox(width: 8),
+                    Text(
+                      'Cubit untuk memperbesar/memperkecil',
+                      style: TextStyle(
+                        color: Colors.grey[600],
+                        fontSize: 14,
+                      ),
+                    ),
+                  ],
+                ),
+              ),
+            ],
+          ),
+        );
+      },
+    );
+  }
+
+  /// Menampilkan dialog gambar layar penuh
+  ///
+  /// Versi layar penuh dari dialog gambar
+  /// [context] adalah BuildContext untuk menampilkan dialog
+  /// [imageUrl] adalah URL gambar yang akan ditampilkan
+  static void showFullScreen(BuildContext context, String imageUrl) {
+    showDialog(
+      context: context,
+      builder: (BuildContext context) {
+        return Dialog(
+          insetPadding: EdgeInsets.zero,
+          backgroundColor: Colors.transparent,
+          child: Stack(
+            alignment: Alignment.center,
+            children: [
+              GestureDetector(
+                onTap: () => Navigator.pop(context),
+                child: Container(
+                  width: double.infinity,
+                  height: double.infinity,
+                  color: Colors.black87,
+                ),
+              ),
+              InteractiveViewer(
+                panEnabled: true,
+                boundaryMargin: const EdgeInsets.all(20),
+                minScale: 0.5,
+                maxScale: 4.0,
+                child: CachedNetworkImage(
+                  imageUrl: imageUrl,
+                  placeholder: (context, url) => const Center(
+                    child: CircularProgressIndicator(
+                      valueColor: AlwaysStoppedAnimation<Color>(Colors.white),
+                    ),
+                  ),
+                  errorWidget: (context, url, error) => Column(
+                    mainAxisSize: MainAxisSize.min,
+                    children: [
+                      const Icon(Icons.error, color: Colors.white, size: 32),
+                      const SizedBox(height: 8),
+                      Text(
+                        'Gagal memuat gambar',
+                        style: const TextStyle(color: Colors.white),
+                      ),
+                    ],
+                  ),
+                  fit: BoxFit.contain,
+                ),
+              ),
+              Positioned(
+                top: 20,
+                right: 20,
+                child: Row(
+                  children: [
+                    IconButton(
+                      icon: const Icon(Icons.download,
+                          color: Colors.white, size: 30),
+                      onPressed: () => _downloadImage(context, imageUrl),
+                      tooltip: 'Unduh Gambar',
+                    ),
+                    const SizedBox(width: 8),
+                    IconButton(
+                      icon: const Icon(Icons.close,
+                          color: Colors.white, size: 30),
+                      onPressed: () => Navigator.pop(context),
+                    ),
+                  ],
+                ),
+              ),
+            ],
+          ),
+        );
+      },
+    );
+  }
+
+  /// Mengunduh gambar dari URL dan menyimpannya ke penyimpanan lokal
+  ///
+  /// [context] adalah BuildContext untuk menampilkan snackbar
+  /// [imageUrl] adalah URL gambar yang akan diunduh
+  static Future<void> _downloadImage(
+      BuildContext context, String imageUrl) async {
+    try {
+      // Tampilkan indikator loading
+      ScaffoldMessenger.of(context).showSnackBar(
+        const SnackBar(
+          content: Text('Mengunduh gambar...'),
+          duration: Duration(seconds: 1),
+        ),
+      );
+
+      // Ambil data gambar dari URL
+      final response = await http.get(Uri.parse(imageUrl));
+
+      if (response.statusCode != 200) {
+        throw Exception('Gagal mengunduh gambar');
+      }
+
+      // Dapatkan direktori penyimpanan sementara
+      final tempDir = await getTemporaryDirectory();
+      final fileName =
+          'bukti_foto_${DateTime.now().millisecondsSinceEpoch}.jpg';
+      final file = File('${tempDir.path}/$fileName');
+
+      // Tulis data ke file
+      await file.writeAsBytes(response.bodyBytes);
+
+      // Bagikan file
+      await Share.shareXFiles(
+        [XFile(file.path)],
+        text: 'Bukti Foto',
+      );
+
+      // Tampilkan pesan sukses
+      ScaffoldMessenger.of(context).showSnackBar(
+        const SnackBar(
+          content: Text('Gambar berhasil diunduh dan siap dibagikan'),
+          backgroundColor: Colors.green,
+        ),
+      );
+    } catch (e) {
+      // Tampilkan pesan error
+      ScaffoldMessenger.of(context).showSnackBar(
+        SnackBar(
+          content: Text('Gagal mengunduh gambar: $e'),
+          backgroundColor: Colors.red,
+        ),
+      );
+    }
+  }
+}
diff --git a/lib/app/widgets/widgets.dart b/lib/app/widgets/widgets.dart
index 3e73c29..36886a3 100644
--- a/lib/app/widgets/widgets.dart
+++ b/lib/app/widgets/widgets.dart
@@ -14,6 +14,7 @@ export 'cards/info_card.dart';
 // Dialogs
 export 'dialogs/detail_penitipan_dialog.dart';
 export 'dialogs/confirmation_dialog.dart';
+export 'dialogs/show_image_dialog.dart';
 
 // Indicators
 export 'indicators/loading_indicator.dart';
diff --git a/lib/main.dart b/lib/main.dart
index ebac19b..6d98513 100644
--- a/lib/main.dart
+++ b/lib/main.dart
@@ -9,6 +9,7 @@ import 'package:penyaluran_app/app/modules/auth/controllers/auth_controller.dart
 import 'package:intl/date_symbol_data_local.dart';
 import 'package:flutter_localizations/flutter_localizations.dart';
 import 'package:syncfusion_localizations/syncfusion_localizations.dart';
+import 'package:penyaluran_app/app/services/notification_service.dart';
 
 void main() async {
   WidgetsFlutterBinding.ensureInitialized();
@@ -27,11 +28,26 @@ void main() async {
 
 // Inisialisasi service
 Future<void> initServices() async {
-  await Get.putAsync(() => SupabaseService().init());
-  await Get.putAsync(() => AuthService().init());
+  print('Initializing services...');
+  // Inisialisasi SupabaseService dengan pendekatan async
+  final supabaseService =
+      await Get.putAsync(() => SupabaseService().init(), permanent: true);
+  print('SupabaseService initialized: ${supabaseService != null}');
+
+  // Inisialisasi AuthService
+  final authService =
+      await Get.putAsync(() => AuthService().init(), permanent: true);
+  print('AuthService initialized: ${authService != null}');
 
   // Inisialisasi AuthController secara global
-  Get.put(AuthController(), permanent: true);
+  final authController = Get.put(AuthController(), permanent: true);
+  print('AuthController initialized: ${authController != null}');
+
+  // Register NotificationService
+  final notificationService = Get.put(NotificationService(), permanent: true);
+  print('NotificationService initialized: ${notificationService != null}');
+
+  print('All services initialized');
 }
 
 class MyApp extends StatelessWidget {
@@ -40,7 +56,7 @@ class MyApp extends StatelessWidget {
   @override
   Widget build(BuildContext context) {
     return GetMaterialApp(
-      title: 'Penerimaan App',
+      title: 'DisalurKita',
       theme: AppTheme.lightTheme,
       darkTheme: AppTheme.darkTheme,
       themeMode: ThemeMode.light, // Default ke tema terang
@@ -60,6 +76,7 @@ class MyApp extends StatelessWidget {
         Locale('id', 'ID'), // Indonesia
         Locale('en', 'US'), // English
       ],
+      // initialBinding tidak diperlukan lagi karena service sudah diinisialisasi di initServices()
     );
   }
 }
diff --git a/macos/Flutter/GeneratedPluginRegistrant.swift b/macos/Flutter/GeneratedPluginRegistrant.swift
index 32b752d..c60dbc2 100644
--- a/macos/Flutter/GeneratedPluginRegistrant.swift
+++ b/macos/Flutter/GeneratedPluginRegistrant.swift
@@ -11,6 +11,7 @@ import file_selector_macos
 import flutter_secure_storage_macos
 import open_file_mac
 import path_provider_foundation
+import share_plus
 import shared_preferences_foundation
 import sqflite_darwin
 import url_launcher_macos
@@ -22,6 +23,7 @@ func RegisterGeneratedPlugins(registry: FlutterPluginRegistry) {
   FlutterSecureStoragePlugin.register(with: registry.registrar(forPlugin: "FlutterSecureStoragePlugin"))
   OpenFilePlugin.register(with: registry.registrar(forPlugin: "OpenFilePlugin"))
   PathProviderPlugin.register(with: registry.registrar(forPlugin: "PathProviderPlugin"))
+  SharePlusMacosPlugin.register(with: registry.registrar(forPlugin: "SharePlusMacosPlugin"))
   SharedPreferencesPlugin.register(with: registry.registrar(forPlugin: "SharedPreferencesPlugin"))
   SqflitePlugin.register(with: registry.registrar(forPlugin: "SqflitePlugin"))
   UrlLauncherPlugin.register(with: registry.registrar(forPlugin: "UrlLauncherPlugin"))
diff --git a/windows/flutter/generated_plugin_registrant.cc b/windows/flutter/generated_plugin_registrant.cc
index bf6dc58..053aac8 100644
--- a/windows/flutter/generated_plugin_registrant.cc
+++ b/windows/flutter/generated_plugin_registrant.cc
@@ -9,6 +9,7 @@
 #include <app_links/app_links_plugin_c_api.h>
 #include <file_selector_windows/file_selector_windows.h>
 #include <flutter_secure_storage_windows/flutter_secure_storage_windows_plugin.h>
+#include <share_plus/share_plus_windows_plugin_c_api.h>
 #include <url_launcher_windows/url_launcher_windows.h>
 
 void RegisterPlugins(flutter::PluginRegistry* registry) {
@@ -18,6 +19,8 @@ void RegisterPlugins(flutter::PluginRegistry* registry) {
       registry->GetRegistrarForPlugin("FileSelectorWindows"));
   FlutterSecureStorageWindowsPluginRegisterWithRegistrar(
       registry->GetRegistrarForPlugin("FlutterSecureStorageWindowsPlugin"));
+  SharePlusWindowsPluginCApiRegisterWithRegistrar(
+      registry->GetRegistrarForPlugin("SharePlusWindowsPluginCApi"));
   UrlLauncherWindowsRegisterWithRegistrar(
       registry->GetRegistrarForPlugin("UrlLauncherWindows"));
 }
diff --git a/windows/flutter/generated_plugins.cmake b/windows/flutter/generated_plugins.cmake
index b4be188..9a293ae 100644
--- a/windows/flutter/generated_plugins.cmake
+++ b/windows/flutter/generated_plugins.cmake
@@ -6,6 +6,7 @@ list(APPEND FLUTTER_PLUGIN_LIST
   app_links
   file_selector_windows
   flutter_secure_storage_windows
+  share_plus
   url_launcher_windows
 )
 
